Bug 25492 - Installer fails to read /dev/hda
Installer fails to read /dev/hda
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-01 11:34 EST by Jeff Lane
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-01 13:40:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Lane 2001-02-01 11:34:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22smp i686)


Unknown if this is reproducable...  Hardware is IBM Netfinity 3000, 9 gig
hard disk, PIII600 processor, 128 Meg ram.

when running installer for the Public beta, the install proceeds well,
until the Install Options screen.  After selecting Custom install and
clicking next, I get message stating that "An error occured reading the
partition table for block device hda.  The error was: Partition(s) do not
end on cylinder boundry"

clicking on Retry gives nothing.  Clicking on Skip gives the "No valid
devices. . ." error messages.  clicking on this yields reboot.

This IS a bootable, and usable system with the existing installation
(previous beta) but so far this has occured when attempting both local
cdrom and ftp install when choosing custom.

I will try workstation and server also, if need be..


Just attempted Worstation and server with same results.  I think this has
to do with the partition table that the previous beta I am running
created.  Perhaps a change in the partition table structure, or something
of that nature?

Also, there are NO messages pointing to any errors in any of the terminals.

Reproducible: Always
Steps to Reproduce:
1.boot installer on system with older beta	
2.choose custom install 
3.yields above error
	

Actual Results:  I recieved error mentioned above.
Comment 1 Glen Foster 2001-02-01 11:40:01 EST
Changing product to Red Hat Linux Beta since it deals with older-beta code as
well.
Comment 2 Jeff Lane 2001-02-01 11:50:30 EST
went to the F2 screen and did the mknod on dev/hda and ran fdisk on it. 
interesting stuff here.

Device      Boot      Start      End      Blocks      Id     System
/dev/hda1      *             1         5      32764+    83     Linux
Partition 1 does not end on cylinder boundary:
     phys=(73,15,63) should be (73,254,63)
/dev/hda2                     5     1230   9836064    5       Extended
Partition 2 does not end on cylinder boundary:
     phys=(1023,15,63) should be (1023,254,63)
/dev/hda5                     5     1197    9573448+   83  Linux
/dev/hda6               1197      1230     262552+    82   Linux swap


Definitely a partition problem.  Not sure if this was a partition error caused
by the older beta or what.  I have made no changes to partition table since
installing this older beta, and no lilo changes, so as far as I know, this is
the same partition table that the older installer created.

Comment 3 Jeff Lane 2001-02-01 12:46:22 EST
went to the F2 screen and did the mknod on dev/hda and ran fdisk on it. 
interesting stuff here.

Device      Boot      Start      End      Blocks      Id     System
/dev/hda1      *             1         5      32764+    83     Linux
Partition 1 does not end on cylinder boundary:
     phys=(73,15,63) should be (73,254,63)
/dev/hda2                     5     1230   9836064    5       Extended
Partition 2 does not end on cylinder boundary:
     phys=(1023,15,63) should be (1023,254,63)
/dev/hda5                     5     1197    9573448+   83  Linux
/dev/hda6               1197      1230     262552+    82   Linux swap


Definitely a partition problem.  Not sure if this was a partition error caused
by the older beta or what.  I have made no changes to partition table since
installing this older beta, and no lilo changes, so as far as I know, this is
the same partition table that the older installer created.

Comment 4 Jeff Lane 2001-02-01 12:47:47 EST
Ok...  zeroed the original partition table, and install proceeded until the X
configuration.  I will submit that on a different report if I can reproduce it.
Comment 5 Michael Fulbright 2001-02-01 13:40:45 EST
What did you last partitino this drive with (kernel/release/)??

This happens when a drive was partitions with the kernel thinking the geometry
was different than when you ran the installer.
Comment 6 Michael Fulbright 2001-02-23 12:29:18 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.